1. Инициализируем репозиторий командой `git init`

```
C:\Users\User\skv>git init
Initialized empty Git repository in C:/Users/User/skv/.git/
```
 
2. Выполняем команду `git status`
 
```
C:\Users\User\skv>git status
On branch master

No commits yet

nothing to commit (create/copy files and use "git add" to track)
```
 
3. Создаем `.gitignore`

4. Создаем `README.MD`

5. Выполняем команду `git status`

```
C:\Users\User\skv>git status
On branch master

No commits yet

Untracked files:
 (use "git add <file>..." to include in what will be committed)
 .gitignore.txt
 README.MD.txt

nothing added to commit but untracked files present (use "git add" to track)
```
 
6. Выполняем команду `git add`

```
C:\Users\User\skv>git add .
```
 
7. Выполняем команду `git status`

```
C:\Users\User\skv>git status
On branch master

No commits yet

Changes to be committed:
 (use "git rm --cached <file>..." to unstage)
 new file: .gitignore.txt
 new file: README.MD.txt
```
 
8. Выполняем команду `git commit`

 ```
C:\Users\User\skv>git commit -m "cao"
[master (root-commit) 833880c] cao
 2 files changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 .gitignore.txt
 create mode 100644 README.MD
```
 
9. Выполняем команду `git log`
 
```
C:\Users\User\skv>git log
commit 833880c03d009f813df3fa3e70fa6eebada40fec (HEAD -> master)
Author: mmukhamadeev <maratmuhamadeev9@gmail.com>
Date:   Fri Jan 17 09:48:51 2025 +0300

    cao

```
 
10. Выполняем команду `git remote`
 
```
C:\Users\User\skv>git remote add origin https://kolei.ru/mmukhamadeev/lab_1.git
```
 
11. Выполняем команду `git push`

```
C:\Users\User\skv>git push origin master
Enumerating objects: 3, done.
Counting objects: 100% (3/3), done.
Delta compression using up to 6 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 225 bytes | 225.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0
Username for 'https://kolei.ru': mmukhamadeev
Password for 'https://mmukhamadeev@kolei.ru':
To https://kolei.ru/mmukhamadeev/lab_1.git
 * [new branch]      master -> master
```